Bug 12318 - Show subscription shelving location on subscription tabs
Summary: Show subscription shelving location on subscription tabs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-27 20:04 UTC by Nicole C. Engard
Modified: 2019-03-01 11:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12318: Show shelving location on subscription tab in OPAC and staff (4.26 KB, patch)
2019-02-04 21:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12318: Show shelving location on subscription tab in OPAC and staff (4.43 KB, patch)
2019-02-08 19:55 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 12318: Show shelving location on subscription tab in OPAC and staff (4.49 KB, patch)
2019-02-20 14:17 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-05-27 20:04:38 UTC
It would be nice if the shelving location showed on the serial summary found here: cgi-bin/koha/opac-serial-issues.pl?biblionumber=30484
Comment 1 Katrin Fischer 2019-02-04 21:21:57 UTC
Created attachment 84756 [details] [review]
Bug 12318: Show shelving location on subscription tab in OPAC and staff

The shelving location can be helpful to locate an item in the library.
Especially, if the library has decided not to create items for a
subscription this information is currently not visible to the patron.

To test:
- Apply patch
- Create a subscription, set location
- View the subscription tab in detail and staff
- Verify that the location now shows above the callnumber
- Unset location in the subscription
- Verify that the page still looks ok
Comment 2 Katrin Fischer 2019-02-04 21:22:22 UTC
Stealing the bug from Owen... :)
Comment 3 Katrin Fischer 2019-02-04 21:22:52 UTC
(In reply to Nicole C. Engard from comment #0)
> It would be nice if the shelving location showed on the serial summary found
> here: cgi-bin/koha/opac-serial-issues.pl?biblionumber=30484

I've decided to show it directly on the subscription tab instead as we already show the callnumber and branch there it seemed to make the most sense.
Comment 4 Mikaël Olangcay Brisebois 2019-02-08 19:55:33 UTC
Created attachment 84895 [details] [review]
Bug 12318: Show shelving location on subscription tab in OPAC and staff

The shelving location can be helpful to locate an item in the library.
Especially, if the library has decided not to create items for a
subscription this information is currently not visible to the patron.

To test:
- Apply patch
- Create a subscription, set location
- View the subscription tab in detail and staff
- Verify that the location now shows above the callnumber
- Unset location in the subscription
- Verify that the page still looks ok

Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Comment 5 Katrin Fischer 2019-02-09 09:45:28 UTC
Thx, Mikaël!
Comment 6 Martin Renvoize 2019-02-20 14:17:19 UTC
Created attachment 85362 [details] [review]
Bug 12318: Show shelving location on subscription tab in OPAC and staff

The shelving location can be helpful to locate an item in the library.
Especially, if the library has decided not to create items for a
subscription this information is currently not visible to the patron.

To test:
- Apply patch
- Create a subscription, set location
- View the subscription tab in detail and staff
- Verify that the location now shows above the callnumber
- Unset location in the subscription
- Verify that the page still looks ok

Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-02-20 14:17:54 UTC
Nice little enhancement, no regressions of qa script failures.. Passing QA
Comment 8 Nick Clemens 2019-02-27 14:15:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-03-01 11:30:18 UTC
Enhancement, will not be backported to 18.11.x series.